<?php
//include "../ver_sessao.php";
include "../conecta.php";



function seleciona_caixa($id,$nome,$nome_seleciona='') {

	// $nome_js = str_replace(" ","%20",$nome_seleciona);
	$comp = "<a href=\"javascript:seleciona_caixa($id,'$nome_seleciona')\">$nome</a>";
	
	exibir_componente($comp);
}




	if( $_POST[c] )
		$_GET[c] = $_POST[c];
	if( $_POST[nome] )
		$_GET[nome] = $_POST[nome];
	if( $_POST[t] )
		$_GET[t] = $_POST[t];


    $NOME = 'Cadastro de '.formata_nome($TITULO);
	   

	if ( $_GET[nome]!='' ) {
		$extra .= " AND pdv_tx_nome LIKE '%$_GET[nome]%' ";
	}
	if ( $_GET[data]!='' ) {
		$extra .= " AND caix_tx_data >= '".gera_data($_GET[data],1)." 00:00:00' AND caix_tx_data <= '".gera_data($_GET[data],1)." 23:59:59' ";
	}
	if ( $_GET[usuario]!='' ) {
		$extra .= " AND user_tx_login LIKE '%$_GET[usuario]%' ";
	}


	cabecalho2('',2);



	if ( intval($_GET[ordem]) > 0 ) {
		$_POST[ordem] = $_GET[ordem];
	}

	$c1 = cactux::campo('Nome:','nome',$_GET[nome],6);
	$c2 = cactux::campo('Data:','data',$_GET[data],2,MASCARA_DATA);
	$c3 = cactux::campo('Usuário:','usuario',$_GET[usuario],2);
	$c4 = cactux::botao_submit("Buscar",2,'index','c,t,ordem',"$_GET[c],$_GET[t],$_POST[ordem]");
	$c5 = cactux::botao("Fechar ",2,'cancelar'," onclick=fecha_combo_net();");
	// $c6 = cactux::botao("Gravar",2,'cancelar'," onclick=insere_op();");
	

//	print_r($_GET);
	
	$status = cactux::msg_status();
	
	cactux::abre_form('get');

	cactux::abre_fieldset($NOME);
	cactux::linha_fieldset($c1,$c2,$c3);
	cactux::linha_fieldset($c4,$c5,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();

	javascript("

	
	function insere_op() {
		document.cadastro.acao.value='cadastra_op';
		document.cadastro.submit();
	}
	
			
	");



	$sql  = selecionar('caixa,pdv,user','caix_tx_status',"!inativo"," $extra ORDER BY caix_nb_id DESC ",1);
	$BUSCA= grid::gerar_paginacao($sql);

	// inicio do grid
	$cabeca[] = array('CÓD','NOME','DATA','USUÁRIO');
	$cabeca[] = 'c,e,c,c';
	$cabeca[] = '8%,,20%,20%';
	//$cabeca[]='95%';
	
	while( $array = carrega_array($BUSCA[0]) ) {

		$nome_caixa = $array['pdv_tx_nome'].' | '.$array['user_tx_login'].' | '.data($array['caix_tx_data'],1);
		$nome_js = str_replace(" ","%20",$nome_caixa);

		$id     = ".seleciona_caixa($array[0],'$array[caix_nb_id]','$nome_js')";
		$nome   = ".seleciona_caixa($array[0],'$array[pdv_tx_nome]','$nome_js')";
		$data   = ".seleciona_caixa($array[0],'".data($array[caix_tx_data],3)."','$nome_js')";
		$usuario= ".seleciona_caixa($array[0],'$array[user_tx_login]','$nome_js')";
		
		$valores[] = array($id,$nome,$data,$usuario);
	}
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);




	
	javascript("

		function seleciona_caixa(id,nome_exibir) {

			seleciona_combo_net(id,nome_exibir);

			// window.parent.form_troca_cliente.cliente.value=id;
			// window.parent.form_troca_cliente.submit();

			fecha_combo_net_pdv();
		}

	");

?>